﻿using Microsoft.Extensions.Caching.Memory;
using Performance.DtoModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Performance.Api.Util
{
    public class UserUtil
    {
        IMemoryCache _memoryCache;
        public UserUtil(IMemoryCache memoryCache)
        {
            _memoryCache = memoryCache;
        }
        public UserIdentity At(ApiRequest request)
        {
            return At(request.Token);
        }

        public UserIdentity At(string token)
        {
            if (string.IsNullOrEmpty(token))
                throw new PerformanceException("token is not null");
            return _memoryCache.Get<UserIdentity>(token);
        }
    }
}
